Skip site navigation (1)Skip section navigation (2)
Date:      Tue, 25 Nov 2008 19:19:04 GMT
From:      Edward Tomasz Napierala <trasz@FreeBSD.org>
To:        Perforce Change Reviews <perforce@freebsd.org>
Subject:   PERFORCE change 153548 for review
Message-ID:  <200811251919.mAPJJ4jl000641@repoman.freebsd.org>

next in thread | raw e-mail | index | archive | help
http://perforce.freebsd.org/chv.cgi?CH=153548

Change 153548 by trasz@trasz_victim7 on 2008/11/25 19:18:50

	Exchange 00.t and 02.t, as 02.t has just been MFp4-ed as 00.t.

Affected files ...

.. //depot/projects/soc2008/trasz_nfs4acl/tools/regression/acltools/00.t#5 edit
.. //depot/projects/soc2008/trasz_nfs4acl/tools/regression/acltools/02.t#5 edit

Differences ...

==== //depot/projects/soc2008/trasz_nfs4acl/tools/regression/acltools/00.t#5 (text+ko) ====

@@ -1,14 +1,15 @@
 #!/bin/sh
 #
-# This is a wrapper script to run tools-nfs4.test.
+# This is a wrapper script to run tools-posix.test.
 #
 # If any of the tests fails, here is how to debug it: go to
 # the directory with problematic filesystem mounted on it,
-# and do /path/to/test run /path/to/test tools-nfs4.test, e.g.
+# and do /path/to/test run /path/to/test tools-posix.test, e.g.
 #
-# /usr/src/tools/regression/acltools/run /usr/src/tools/regression/acltools/tools-nfs4.test
+# /usr/src/tools/regression/acltools/run /usr/src/tools/regression/acltools/tools-posix.test
 #
 # Output should be obvious.
+#
 
 echo "1..4"
 
@@ -23,7 +24,7 @@
 MD=`mdconfig -at swap -s 10m`
 MNT=`mktemp -dt acltools`
 newfs /dev/$MD > /dev/null
-mount -o nfs4acls /dev/$MD $MNT
+mount -o acls /dev/$MD $MNT
 if [ $? -ne 0 ]; then
 	echo "not ok 1 - mount failed."
 	exit 1
@@ -36,13 +37,13 @@
 # First, check whether we can crash the kernel by creating too many
 # entries.  For some reason this won't work in the test file.
 touch xxx
-setfacl -x5 xxx
-while :; do setfacl -a0 u:42:rwx:allow xxx 2> /dev/null; if [ $? -ne 0 ]; then break; fi; done
+i=0;
+while :; do i=$(($i+1)); setfacl -m u:$i:rwx xxx 2> /dev/null; if [ $? -ne 0 ]; then break; fi; done
 chmod 600 xxx
 rm xxx
 echo "ok 2"
 
-perl $TESTDIR/run $TESTDIR/tools-nfs4.test > /dev/null
+perl $TESTDIR/run $TESTDIR/tools-posix.test > /dev/null
 
 if [ $? -eq 0 ]; then
 	echo "ok 3"

==== //depot/projects/soc2008/trasz_nfs4acl/tools/regression/acltools/02.t#5 (text+ko) ====

@@ -1,15 +1,14 @@
 #!/bin/sh
 #
-# This is a wrapper script to run tools-posix.test.
+# This is a wrapper script to run tools-nfs4.test.
 #
 # If any of the tests fails, here is how to debug it: go to
 # the directory with problematic filesystem mounted on it,
-# and do /path/to/test run /path/to/test tools-posix.test, e.g.
+# and do /path/to/test run /path/to/test tools-nfs4.test, e.g.
 #
-# /usr/src/tools/regression/acltools/run /usr/src/tools/regression/acltools/tools-posix.test
+# /usr/src/tools/regression/acltools/run /usr/src/tools/regression/acltools/tools-nfs4.test
 #
 # Output should be obvious.
-#
 
 echo "1..4"
 
@@ -24,7 +23,7 @@
 MD=`mdconfig -at swap -s 10m`
 MNT=`mktemp -dt acltools`
 newfs /dev/$MD > /dev/null
-mount -o acls /dev/$MD $MNT
+mount -o nfs4acls /dev/$MD $MNT
 if [ $? -ne 0 ]; then
 	echo "not ok 1 - mount failed."
 	exit 1
@@ -37,13 +36,13 @@
 # First, check whether we can crash the kernel by creating too many
 # entries.  For some reason this won't work in the test file.
 touch xxx
-i=0;
-while :; do i=$(($i+1)); setfacl -m u:$i:rwx xxx 2> /dev/null; if [ $? -ne 0 ]; then break; fi; done
+setfacl -x5 xxx
+while :; do setfacl -a0 u:42:rwx:allow xxx 2> /dev/null; if [ $? -ne 0 ]; then break; fi; done
 chmod 600 xxx
 rm xxx
 echo "ok 2"
 
-perl $TESTDIR/run $TESTDIR/tools-posix.test > /dev/null
+perl $TESTDIR/run $TESTDIR/tools-nfs4.test > /dev/null
 
 if [ $? -eq 0 ]; then
 	echo "ok 3"



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?200811251919.mAPJJ4jl000641>